[arch-commits] Commit in showimg/repos (5 files)

Eric Belanger eric at archlinux.org
Sun Jul 20 16:24:43 EDT 2008


    Date: Sunday, July 20, 2008 @ 16:24:43
  Author: eric
Revision: 5775

Merged revisions 2-5774 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/showimg/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5774 | eric | 2008-07-20 16:24:18 -0400 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: showimg 0.9.5-6
      Rebuilt against libkipi 0.1.6, Patched to build with gcc 4.3, Replaced multiple sed lines patching by a patch, Disabled SMP build, Added svn Id tag to PKGBUILD
........

Added:
  showimg/repos/extra-x86_64/showimg-0.9.5+gcc-4.3.patch
    (from rev 5774, showimg/trunk/showimg-0.9.5+gcc-4.3.patch)
  showimg/repos/extra-x86_64/showimg-0.9.5+libpqxx-2.6.9.patch
    (from rev 5774, showimg/trunk/showimg-0.9.5+libpqxx-2.6.9.patch)
Modified:
  showimg/repos/extra-x86_64/	(properties)
  showimg/repos/extra-x86_64/ChangeLog
  showimg/repos/extra-x86_64/PKGBUILD

-----------------------------------+
 ChangeLog                         |   11 +++++
 PKGBUILD                          |   36 ++++++++++---------
 showimg-0.9.5+gcc-4.3.patch       |   47 ++++++++++++++++++++++++
 showimg-0.9.5+libpqxx-2.6.9.patch |   68 ++++++++++++++++++++++++++++++++++++
 4 files changed, 145 insertions(+), 17 deletions(-)


Property changes on: showimg/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /showimg/trunk:1
   + /showimg/trunk:1-5774

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-07-20 20:24:18 UTC (rev 5774)
+++ extra-x86_64/ChangeLog	2008-07-20 20:24:43 UTC (rev 5775)
@@ -1,4 +1,13 @@
+2008-07-20  Eric Belanger  <eric at archlinux.org>
+
+	* showimg 0.9.5-6
+	* Rebuilt against libkipi 0.1.6
+	* Patched to build with gcc 4.3
+	* Replaced multiple sed lines patching by a patch
+	* Disabled SMP build
+	* Added svn Id tag to PKGBUILD
+
 2008-01-07  Varun Acharya <varun at archlinux.org>
 
+	* showimg 0.9.5-5
 	* Moved to extra
-	* showimg-0.9.5-5

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-20 20:24:18 UTC (rev 5774)
+++ extra-x86_64/PKGBUILD	2008-07-20 20:24:43 UTC (rev 5775)
@@ -1,25 +1,29 @@
-# Maintainer: Varun Acharya <varun at archlinux.org>
+# $Id$
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Varun Acharya <varun at archlinux.org>
 
 pkgname=showimg
 pkgver=0.9.5
-pkgrel=5
-pkgdesc="ShowImg is a feature-rich image viewer for KDE which can display numerous formats."
+pkgrel=6
+pkgdesc="ShowImg is a feature-rich image viewer for KDE which can display numerous formats"
 arch=('i686' 'x86_64')
 url="http://www.jalix.org/projects/showimg/"
-license="GPL"
-depends=('kdebase' 'libpqxx' 'libkexif' 'libkipi')
-source=(http://www.jalix.org/projects/showimg/download/$pkgver/$pkgname-$pkgver.tar.bz2)
-md5sums=('281c5f5e65ca14c69810d2099c43a4b8')
+license=('GPL')
+depends=('kdebase' 'libpqxx' 'libkexif' 'libkipi>=0.1.6')
+options=('!makeflags')
+source=(http://www.jalix.org/projects/showimg/download/${pkgver}/${pkgname}-${pkgver}.tar.bz2 \
+        showimg-0.9.5+gcc-4.3.patch showimg-0.9.5+libpqxx-2.6.9.patch)
+md5sums=('281c5f5e65ca14c69810d2099c43a4b8' '5a7636c5131f23e7f6656e1b6786e262'\
+         '35a88e4f1b82b35e18a507c9b0d1d799')
+sha1sums=('59d3a1f1a22761e0576d98e6cc6f430cc3822643'
+          '49ac397c6a7bb4c2e22de7161f2ec10f57d75901'
+          'd51a9d50027404e88403a6cfc286660682a0465c')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  sed -i 's/all.h/pqxx/' showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.h || return 1
-  sed -i 's/all.h/pqxx/' showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.h || return 1
-  sed -i "s/return QString(pqxx::Quote(str.ascii()).c_str());/ return \"\'\"+QString(pqxx::sqlesc(str.ascii()).c_str())+\"\'\";/" showimg/kexi/kexidb/drivers/pqxx/pqxxdriver.cpp || return 1
-  sed -i "s/return QCString(pqxx::Quote(QString(str).ascii()).c_str());/return \"\'\"+QCString(pqxx::sqlesc(QString(str).ascii()).c_str())+\"\'\";/" showimg/kexi/kexidb/drivers/pqxx/pqxxdriver.cpp || return 1
-  sed -i 's/statement.utf8()/statement.utf8().data()/' showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.cpp || return 1
-  sed -i 's/statement.utf8()/statement.utf8().data()/' showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp || return 1
-  ./configure --prefix=/opt/kde --enable-libkipi --with-kexif --disable-debug
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p1 < ../showimg-0.9.5+gcc-4.3.patch || return 1
+  patch -p1 < ../showimg-0.9.5+libpqxx-2.6.9.patch || return 1
+  ./configure --prefix=/opt/kde --enable-libkipi --with-kexif --disable-debug || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 } 

Copied: showimg/repos/extra-x86_64/showimg-0.9.5+gcc-4.3.patch (from rev 5774, showimg/trunk/showimg-0.9.5+gcc-4.3.patch)
===================================================================
--- extra-x86_64/showimg-0.9.5+gcc-4.3.patch	                        (rev 0)
+++ extra-x86_64/showimg-0.9.5+gcc-4.3.patch	2008-07-20 20:24:43 UTC (rev 5775)
@@ -0,0 +1,47 @@
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp	2006-01-07 03:47:46.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp	2008-07-20 14:27:27.000000000 -0400
+@@ -17,6 +17,7 @@
+ 
+ #include <klocale.h>
+ #include <kdebug.h>
++#include <cstdlib>
+ 
+ using namespace KexiDB;
+ 
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/parser/sqlparser.cpp showimg-0.9.5/showimg/kexi/kexidb/parser/sqlparser.cpp
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/parser/sqlparser.cpp	2006-01-07 03:47:45.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/parser/sqlparser.cpp	2008-07-20 14:26:37.000000000 -0400
+@@ -359,6 +359,7 @@
+ #include <iostream>
+ #include <assert.h>
+ #include <limits.h>
++#include <cstdlib>
+ //TODO OK?
+ #ifdef Q_WS_WIN
+ //workaround for bug on msvc
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/parser/sqlparser.y showimg-0.9.5/showimg/kexi/kexidb/parser/sqlparser.y
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/parser/sqlparser.y	2006-01-07 03:47:45.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/parser/sqlparser.y	2008-07-20 14:26:37.000000000 -0400
+@@ -440,6 +440,8 @@
+ #include <iostream>
+ #include <assert.h>
+ #include <limits.h>
++#include <alloca.h>
++#include <cstdlib>
+ //TODO OK?
+ #ifdef Q_WS_WIN
+ //workaround for bug on msvc
+diff -Naur showimg-0.9.5-orig/showimg/showimg/imagelistview.cpp showimg-0.9.5/showimg/showimg/imagelistview.cpp
+--- showimg-0.9.5-orig/showimg/showimg/imagelistview.cpp	2006-01-07 03:48:04.000000000 -0500
++++ showimg-0.9.5/showimg/showimg/imagelistview.cpp	2008-07-20 14:26:37.000000000 -0400
+@@ -49,6 +49,9 @@
+ #include "imageviewer.h"
+ #include "imagemetainfo.h"
+ 
++#include <cstdlib>
++#include <climits>
++
+ #ifdef HAVE_KIPI
+ #include "kipiplugins/kipipluginmanager.h"
+ #endif /* HAVE_KIPI */

Copied: showimg/repos/extra-x86_64/showimg-0.9.5+libpqxx-2.6.9.patch (from rev 5774, showimg/trunk/showimg-0.9.5+libpqxx-2.6.9.patch)
===================================================================
--- extra-x86_64/showimg-0.9.5+libpqxx-2.6.9.patch	                        (rev 0)
+++ extra-x86_64/showimg-0.9.5+libpqxx-2.6.9.patch	2008-07-20 20:24:43 UTC (rev 5775)
@@ -0,0 +1,68 @@
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.cpp showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.cpp
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.cpp	2006-01-07 03:47:46.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.cpp	2008-07-20 14:30:44.000000000 -0400
+@@ -248,7 +248,7 @@
+ 		//        m_trans = new pqxx::nontransaction(*m_pqxxsql);
+ 
+         //Create a result object through the transaction
+-        m_res = new pqxx::result(m_trans->data->exec(statement.utf8()));
++        m_res = new pqxx::result(m_trans->data->exec(statement.utf8().data()));
+ 
+ 		//Commit the transaction
+ 		if (implicityStarted) {
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.h showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.h
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.h	2006-01-07 03:47:46.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxconnection.h	2008-07-20 14:29:59.000000000 -0400
+@@ -16,7 +16,7 @@
+ 
+ #include <kexidb/connection.h>
+ #include "pqxxcursor.h"
+-#include <pqxx/all.h>
++#include <pqxx/pqxx>
+ 
+ 
+ namespace KexiDB
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp	2006-01-07 03:47:46.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.cpp	2008-07-20 14:30:52.000000000 -0400
+@@ -84,7 +84,7 @@
+ 			m_implicityStarted = true;
+ 		}
+ 
+-		m_res = new pqxx::result(((pqxxSqlConnection*)connection())->m_trans->data->exec(statement.utf8()));
++		m_res = new pqxx::result(((pqxxSqlConnection*)connection())->m_trans->data->exec(statement.utf8().data()));
+ 		((pqxxSqlConnection*)connection())
+ 			->drv_commitTransaction(((pqxxSqlConnection*)connection())->m_trans);
+ //		my_conn->m_trans->commit();
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.h showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.h
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.h	2006-01-07 03:47:46.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxcursor.h	2008-07-20 14:29:51.000000000 -0400
+@@ -15,7 +15,7 @@
+ #include <kexidb/cursor.h>
+ #include <kexidb/connection.h>
+ 
+-#include <pqxx/all.h>
++#include <pqxx/pqxx>
+ 
+ namespace KexiDB {
+ 
+diff -Naur showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxdriver.cpp showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxdriver.cpp
+--- showimg-0.9.5-orig/showimg/kexi/kexidb/drivers/pqxx/pqxxdriver.cpp	2006-01-07 03:47:46.000000000 -0500
++++ showimg-0.9.5/showimg/kexi/kexidb/drivers/pqxx/pqxxdriver.cpp	2008-07-20 14:30:24.000000000 -0400
+@@ -132,14 +132,14 @@
+ //
+ QString pqxxSqlDriver::escapeString( const QString& str) const
+ {
+-    return QString(pqxx::Quote(str.ascii()).c_str());
++     return "'"+QString(pqxx::sqlesc(str.ascii()).c_str())+"'";
+ }
+ 
+ //==================================================================================
+ //
+ QCString pqxxSqlDriver::escapeString( const QCString& str) const
+ {
+-    return QCString(pqxx::Quote(QString(str).ascii()).c_str());
++    return "'"+QCString(pqxx::sqlesc(QString(str).ascii()).c_str())+"'";
+ }
+ 
+ //==================================================================================





More information about the arch-commits mailing list